@echo off


setlocal
:: Test if java is installed, sending stdout and stderr streams to the 
:: bit-bucket so nothing displays, pass or fail
java -version >>NUL 2>>NUL
if ERRORLEVEL 0 goto JavaFound
echo Java 7 or newer is required to update FA-VA5 firmware. Please install 
echo the latest version of Java from: https://www.java.com/
goto End

:JavaFound
set USER_COM=
echo Please specify the communications port that FA-VA5
echo is connected on. It will be updated to firmware V1.08
ezbl_comm.exe -enum
echo.
set /p USER_COM=Enter nothing to abort: 
if "%USER_COM%"=="" goto UserAbort
java -jar ezbl_tools.jar --communicator ^
    -baud=115200 -timeout=1100 -log="update_log.txt" ^
    -artifact="IV_2.0_V1.08.production.bl2" ^
    -com=%USER_COM%
goto End

:UserAbort
echo Firmware update aborted.

:End
pause
endlocal
@echo on